# Class BaseDeDonnees

java.lang.Object
fr.iutfbleau.papillon.BaseDeDonnees

public class BaseDeDonnees extends Object
La classe `BaseDeDonnees` fournit les paramètres et méthodes nécessaires à l’établissement d’une connexion à la base MariaDB.

Elle centralise les informations de connexion (URL, utilisateur et mot de passe) et renvoie un objet `Connection` pour exécuter les requêtes SQL.

## Constructor Summary

Constructors
Constructor
Description
`BaseDeDonnees()`

## Method Summary

Modifier and Type
Method
Description
`static Connection`
`getConnexion()`
Établit une connexion avec la base de données MariaDB.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseDeDonnees

public BaseDeDonnees()

## Method Details

### getConnexion

public static Connection getConnexion() throws SQLException
Établit une connexion avec la base de données MariaDB.

Returns:
  un objet `Connection` actif vers la base
Throws:
  `SQLException` - si une erreur survient lors de la connexion